Summary:	K-3D open-source 3D modeling, animation, and rendering system
Name:		k3d
Version:	0.7.11.0
Release:	%mkrel 2
License:	GPLv2+
Group:		Graphics
URL:		http://www.k-3d.org
Source0:	http://downloads.sourceforge.net/k3d/%{name}-source-%{version}.tar.gz
Source1:	%{name}.desktop
Patch0:		k3d-0.7.11.0-fix-potfiles.patch
Patch1:		k3d-0.7.11.0-libdl.patch
Patch2:		k3d-0.7.11.0-glx-linkage.patch
Patch3:		k3d-0.7.11.0-gcc44.patch
BuildRequires:	gtkmm2.4-devel >= 2.12.3
BuildRequires:	boost-devel
BuildRequires:	mesa-common-devel
BuildRequires:	expat-devel
BuildRequires:	libgts-devel
BuildRequires:	imagemagick-devel
BuildRequires:	graphviz
BuildRequires:	doxygen
BuildRequires:	libext2fs-devel
BuildRequires:	libuuid-devel
BuildRequires:	gtkglext-devel
BuildRequires:	freetype2-devel
BuildRequires:	libOpenEXR-devel
BuildRequires:	libtiff-devel
BuildRequires:	libpng-devel
BuildRequires:	libjpeg-devel
BuildRequires:	python-devel >= 2.5
BuildRequires:	glew-devel
BuildRequires:	librsvg-devel
BuildRequires:	gnome-vfs2-devel
BuildRequires:	cmake
%ifarch x86_64
BuildRequires:	chrpath
%endif
Requires:	yafray
Requires:	povray
Requires:	aqsis
Conflicts:	k3d-devel < %{version}
Obsoletes:	%{mklibname k3d 0} <= %{version}-%{release}
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
K-3D is the free-as-in-freedom 3D modeling, animation, and rendering 
system for GNU / Linux, Posix, and Win32 operating systems. K-3D features a 
robust, object-oriented plugin architecture, designed to scale to the needs of 
professional artists, and is designed from-the-ground-up to generate 
motion-picture-quality animation using RenderMan-compliant render engines.

%package devel
Summary:	K-3D development headers
Group:		Development/C++
Requires:	%{name} = %{version}-%{release}
Obsoletes:	%{mklibname k3d -d} <= %{version}-%{release}
Obsoletes:	%{mklibname k3d -d -s} <= %{version}-%{release}

%description devel
Development libraries needed to develop new k3d plugins.

%prep 
%setup -q -n %{name}-source-%{version}
%patch0 -p1 -b .pot
%patch1 -p1 -b .dl
%patch2 -p0 -b .gfx
%patch3 -p1 -b .gcc
rm -f CMakeCache.txt

%build
%cmake \
    -DK3D_BUILD_GTS_MODULE:BOOL=ON
export LD_LIBRARY_PATH=%{_builddir}/k3d-source-%{version}/build/lib:%{_builddir}/k3d-source-%{version}/build/%{_lib}:$LD_LIBRARY_PATH
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
pushd build
%makeinstall_std
popd

mkdir -p %{buildroot}%{_datadir}/applications
install -m644 %{SOURCE1} %{buildroot}%{_datadir}/applications/%{name}.desktop

%find_lang %{name}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%if %mdkversion < 200900
%post
%{update_menus}
%{update_desktop_database}
%update_icon_cache hicolor
%endif

%if %mdkversion < 200900
%postun
%{clean_menus}
%{clean_desktop_database}
%clean_icon_cache hicolor
%endif

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS README
%{_bindir}/%{name}*
%{_libdir}/libk3dsdk*.so
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/plugins
%{_libdir}/%{name}/uiplugins
%{_datadir}/%{name}
%{_mandir}/man1/*
%{_datadir}/applications/%{name}.desktop

%files devel
%defattr(-,root,root)
%{_libdir}/%{name}/include
%{_includedir}/%{name}


%changelog
* Sat Aug 22 2009 Funda Wang <fundawang@mandriva.org> 0.7.11.0-2mdv2010.0
+ Revision: 419470
- add gcc 4.4 patch
- BR uuid
- rebuild for libboost

* Sun May 03 2009 Funda Wang <fundawang@mandriva.org> 0.7.11.0-1mdv2010.0
+ Revision: 370919
- New verison 0.7.11.0

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - update to new version 0.7.10.0

* Sun Dec 28 2008 Funda Wang <fundawang@mandriva.org> 0.7.9.0-4mdv2009.1
+ Revision: 320159
- rebuild for new python

* Sun Dec 21 2008 Funda Wang <fundawang@mandriva.org> 0.7.9.0-3mdv2009.1
+ Revision: 316899
- rediff dl patch
- rebuild for new boost

* Fri Aug 22 2008 Funda Wang <fundawang@mandriva.org> 0.7.9.0-1mdv2009.0
+ Revision: 275135
- New version 0.7.9.0
- use system cmake module to find boost
- move *.so into main package
- find correct magic++ dir
- fix underlink
- patch0 merged upstream

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - update to new version 0.7.8.0

* Thu Jul 10 2008 Adam Williamson <awilliamson@mandriva.org> 0.7.5.0-1mdv2009.0
+ Revision: 233253
- obsolete the library packages (which apparently no longer exist)
- use _disable_ld_no_undefined due to plugins built without libtool
- add libdl.patch to fix underlinking issue
- new release 0.7.5.0

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Fri May 23 2008 Helio Chissini de Castro <helio@mandriva.com> 0.7.4.0-1mdv2009.0
+ Revision: 210721
- Fix plugin loader for x86_64 libsuffix
- Adding source, since someone just updated spec file
- Fix build with x86_64 machine if LIB_SUFFIX is used
- Fix gnome vfs include detection on x86_64

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - update to new version 0.7.4.0
    - Patch0 merge helio's patch with my own
    - add desktop file
    - kill the libification, since latest k3d doesn't provide any shared libraries
    - spec file clean
    - fix file list
    - use cmake (thanks goes to helio for help)
    - drop all patches
    - add missing buildrequires
    - new version

  + Funda Wang <fundawang@mandriva.org>
    - fix BR
    - Rebuild

* Sun Feb 03 2008 Funda Wang <fundawang@mandriva.org> 0.6.7.0-7mdv2008.1
+ Revision: 161632
- obsoletes old static devel name

* Sat Jan 19 2008 Funda Wang <fundawang@mandriva.org> 0.6.7.0-6mdv2008.1
+ Revision: 155054
- fix requires on libname

* Tue Jan 08 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.7.0-5mdv2008.1
+ Revision: 146835
- correct buildrequires on libmagick-devel
- enable graphviz support
- disable superlu support, as it is broken at the moment
- fix file list
- prepare to split library plugins into own packages
- provide patch 3, which fixes compiling against libsigc++-2.1.1
- disable gnome support for good
- compile with nls support
- add more explicit provides for devel package
- rediff patch 0
- new devel library policy

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

  + Funda Wang <fundawang@mandriva.org>
    - rebuild for new boost
    - fix patch applying

* Mon Jun 11 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.7.0-3mdv2008.0
+ Revision: 38075
- rebuild for expat

* Mon May 07 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 0.6.7.0-2mdv2008.0
+ Revision: 24952
- Rebuild with new libjasper.

* Tue May 01 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.7.0-1mdv2008.0
+ Revision: 20144
- update to 0.6.7.0
- disable compiling against gts
- regenerate P0

* Tue Apr 24 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.6.0-5mdv2008.0
+ Revision: 18001
- recompile with SuperLU support, which should have impact performance


* Sun Mar 04 2007 Anssi Hannula <anssi@mandriva.org> 0.6.6.0-4mdv2007.0
+ Revision: 132442
- revert to the latest stable version (0.6.6.0)
- rediff patch0

  + Giuseppe Ghibò <ghibo@mandriva.com>
    - Rebuilt against OpenEXR4.

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - new version

* Tue Jan 30 2007 Anssi Hannula <anssi@mandriva.org> 0.6.6.0-3mdv2007.1
+ Revision: 115602
- patch2: move gui libs to pkglibdir (.so is dlopened)

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - add requires

* Tue Jan 30 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.6.0-2mdv2007.1
+ Revision: 115515
- move all *.so files to the main library(workaround to get K-3D working)
- add buildrequires
- add configure options
- merge doc package into k3d main

* Mon Jan 29 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.6.0-1mdv2007.1
+ Revision: 114998
- provide patch 1 - fix build on x86_64
- set %%multiarch for k3d-config
- get rid of rpath
- fix buildrequires and provides
- spec file clean
- add static-devel package
- add doc package which includes documentation and tutorials
- add patch 0 for xdg menu entry
- fix groups
- spec file clean
- Import k3d

